Health
Health check
Health Check
Check the health status of the application and its dependencies
Response Body
All services are healthy
TypeScript Definitions
Use the response body type in TypeScript.
statusstringValue in:
"healthy"versionstringtimestampstringFormat:
"date-time"uptimenumbermemoryobjectenvironmentstringSome services are degraded but application is functional
Critical services are unhealthy
curl -X GET "https://example.com/"fetch("https://example.com/")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://example.com/"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/"
response = requests.request("GET", url)
print(response.text){
"status": "healthy",
"version": "string",
"timestamp": "2019-08-24T14:15:22Z",
"uptime": 0,
"memory": {},
"environment": "string"
}Empty
Empty